log

## Enum LogMessageType

- java.lang.Object
- - java.lang.Enum<LogMessageType>
  - - log.LogMessageType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogMessageType>

    public enum LogMessageType
    extends java.lang.Enum<LogMessageType>

The Enum LogMessageType.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEBUG` The debug.
`INFORMATION` The information.
`MESSAGE` The message.
`SECURITY` The security.

### Method Summary

All Methods Static Methods Concrete Methods
`static LogMessageType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogMessageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEBUG

    public static final LogMessageType DEBUG

The debug.

#### MESSAGE

    public static final LogMessageType MESSAGE

The message.

#### INFORMATION

    public static final LogMessageType INFORMATION

The information.

#### SECURITY

    public static final LogMessageType SECURITY

The security.

### Method Detail

#### values

    public static LogMessageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LogMessageType c : LogMessageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LogMessageType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null